package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncTranForOAFacadeFactory
{
    private SyncTranForOAFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForOAFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForOAFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("07053019") ,com.kingdee.eas.custom.synctask.ISyncTranForOAFacade.class);
    }
    
    public static com.kingdee.eas.custom.synctask.ISyncTranForOAFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForOAFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("07053019") ,com.kingdee.eas.custom.synctask.ISyncTranForOAFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForOAFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForOAFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("07053019"));
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForOAFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForOAFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("07053019"));
    }
}